curl --request PATCH \
--url https://api.example.com/api/v1/bots/{object_id}/voice_agent_settings \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"screenshare_url": "<string>"
}
'curl --request PATCH \
--url https://api.example.com/api/v1/bots/{object_id}/voice_agent_settings \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"screenshare_url": "<string>"
}
'Updates the voice agent settings for a bot. Voice agents allow you to load a website that interacts with the meeting audio through a virtual microphone.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/attendee-labs/attendee/llms.txt
Use this file to discover all available pages before exploring further.
Authorization header.
bot_xxxxxxxxxxx)"" to turn off.url, but the video will be displayed through screenshare instead of the bot’s webcam. You cannot provide both url and screenshare_url. Set to empty string "" to turn off.curl -X PATCH https://app.attendee.dev/api/v1/bots/bot_weIAju4OXNZkDTpZ/voice_agent_settings \
-H "Authorization: Token YOUR_API_KEY_HERE" \
-H "Content-Type: application/json" \
-d '{
"url": "https://myvoiceagent.example.com"
}'
curl -X PATCH https://app.attendee.dev/api/v1/bots/bot_weIAju4OXNZkDTpZ/voice_agent_settings \
-H "Authorization: Token YOUR_API_KEY_HERE" \
-H "Content-Type: application/json" \
-d '{
"screenshare_url": "https://myvoiceagent.example.com/screenshare"
}'
curl -X PATCH https://app.attendee.dev/api/v1/bots/bot_weIAju4OXNZkDTpZ/voice_agent_settings \
-H "Authorization: Token YOUR_API_KEY_HERE" \
-H "Content-Type: application/json" \
-d '{
"url": ""
}'
url and screenshare_url are providedreserve_resources: true in the voice_agent_settings when creating the bot. Otherwise, this endpoint will fail.